
Redmine - Defect #29235

Issue - 

2018-07-13 16:43 - Kian Shakeri

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 3.3.1

Description

Hi,

I've recently installed Redmine 3.3.1 on Debian Stretch and I think I have found a bug regarding the "issues" page. As you can see

from the screenshots provided, the parameters "Duration", "Story points" and "Velocity based estimate" aren't properly presented in

the web page. I've take a look into the web page source code using Chromium Inspector and it looks like these parameters, and

there values, are somehow injected, without any html tags, into the page by Redmine. I also looked at the file 

./app/views/issues/show.html.erb and compared it with previous Redmine versions in Github and didn't found any major difference.

However, it looks like these parameters (such as "Duration") aren't even called in this file.

Thanks.

Here's some useful informations:

>> ruby bin/about

Environment:

Redmine version                3.3.1.stable

Ruby version                   2.3.3-p222 (2016-11-21) [x86_64-linux-gnu]

Rails version                  4.2.7.1

Environment                    production

Database adapter               Mysql2

SCM:

Subversion                     1.9.5

Git                            2.11.0

Filesystem

Xitolite                       2.11.0

Redmine plugins:

clipboard_image_paste          1.12

redmine_announcements          1.0

redmine_backlogs               v1.0.6

redmine_better_gantt_chart     0.9.0

redmine_bootstrap_kit          0.2.5

redmine_dmsf                   1.5.9

redmine_git_hosting            1.2.3

redmine_image_clipboard_paste  3.3.0

redmine_issues_summary_graph   0.0.9

redmine_landing_page           0.1.1

redmine_monitoring_controlling 0.1.1

redmine_my_page_queries        0.1.0

redmine_sidekiq                2.1.0

redmine_silencer               0.4.3

redmine_stealth                0.7.2

scrum2b                        2.0

>> lsb_release -a

No LSB modules are available.

Distributor ID:    Debian

Description:    Debian GNU/Linux 9.4 (stretch)

Release:    9.4

Codename:    stretch

>> uname -a

Linux redmine 4.9.0-6-amd64 #1 SMP Debian 4.9.88-1+deb9u1 (2018-05-07) x86_64 GNU/Linux

Related issues:
Has duplicate Redmine - Defect #29237: Issue - HTML/CSS Problem on Redmine 3.3.1 Closed

History

#1 - 2018-07-13 16:45 - Kian Shakeri

Sorry about the title!

#2 - 2018-07-13 22:07 - Holger Just

- Status changed from New to Closed

- Resolution set to Invalid

These fields are added by the backlogs plugin. Since Redmine can't control what the plugin is injecting there, we can't help you here unfortunately.

You might want to contact the plugin authors instead. (Or use a different plugin given that it isn't maintained since almost 5 years now.)

#3 - 2018-07-13 22:09 - Holger Just

- Has duplicate Defect #29237: Issue - HTML/CSS Problem on Redmine 3.3.1 added
